Skip to content

Start DNS auto-configuration

Generates a signed redirect URL the customer can follow to apply Novu DNS records at their DNS provider. After the provider completes the flow, it redirects back to redirectUri.

POST
/v1/domains/{domain}/auto-configure/start

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Request Body

application/jsonRequired
redirectUristring

Dashboard URL to return to after the DNS provider consent flow completes.

Path Parameters

domainRequiredstring

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

Created

applyUrlRequiredstring
providerNameRequiredstring
redirectUriRequiredstring
export interface Response {
  applyUrl: string;
  providerName: string;
  redirectUri: string;
}
 
curl -X POST "https://api.novu.co/v1/domains/string/auto-configure/start" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "redirectUri": "string"
  }'
{
  "applyUrl": "string",
  "providerName": "string",
  "redirectUri": "string"
}

On this page

No Headings
Edit this page on GitHub